"use client";
import { purry as u } from "./purry-DH9cw9sy.js";
import { hasAtLeast as f } from "./hasAtLeast-F1Oj_xBB.js";
function l(...t) {
  return u(n, t);
}
function n(t, r) {
  if (!f(r, 1)) return { ...t };
  if (!f(r, 2)) {
    let { [r[0]]: o, ...i } = t;
    return i;
  }
  let e = { ...t };
  for (let o of r) delete e[o];
  return e;
}
export {
  l as omit
};
